
Base Distribution - Task # 41168

Story # 41167 (Closed): As a site integrator, I want a flexible content type system

Status: Closed Priority: Should have
Author: Robert Lemke Category: Content Management
Created: 2012-09-21 Assigned To: Christian Müller
Updated: 2012-10-04 Due date:
Subject: Extract content type definitions from TYPO3.TYPO3 package to its own package.
Description

Associated revisions
Revision 0dc609e1 - 2012-09-21 17:58 - Christian Müller

[TASK] Add all ContentType definitions

This package will house all TYPO3 Phoenix ContentType
definitions. So all default Node ContentTypes in Phoenix will
be in the namespace TYPO3.Phoenix.ContentTypes.

Change-Id: I3d3a11eed85b66714beb04803e3403e873e288ec
Resolves: #41168

Revision f0dbb6bb - 2012-09-21 21:20 - Rens Admiraal

[TASK] Add submodule for TYPO3.Phoenix.ContentTypes

Change-Id: Ia675d6bc94c68f3ec4b0002276870c8682ecad20
Related: #41168

Revision f60961d2 - 2012-09-21 21:30 - Christian Müller

[!!!][TASK] Move ContentTypes to TYPO3.Phoenix.ContentTypes

Default Content types are now maintained in a seperate package.

This is a breaking change. All existing nodes must be changed to
the new namespace and also all ContentType definitions in sites
must inherit from the content types in
TYPO3.Phoenix.ContentTypes now. Affects plugins as well.

Change-Id: I9ecab50ebf9dacdf78bc0b3e8aa0c25dafacdde6
Resolves: #41168

Revision 6ce55456 - 2012-09-25 10:19 - Sebastian Kurfuerst

[BUGFIX] Adjustment to Phoenix Content Type move

Related: #41168
Change-Id: Ia180066af32279edb378bb07d248a7f928aaa89b

Revision a790c840 - 2012-09-28 11:17 - Aske Ertmann 

[BUGFIX] Fix icons for page and inspect tree after content types change

The class for the nodes have changed with the content types changes in I9ecab50ebf9dacdf78bc0b3e8aa0c25dafacdde6

Change-Id: Ied011b589f058a20ed7a292ec5587e50fbf6fd72
Related: #41168

History
#1 - 2012-09-21 15:44 - Robert Lemke
- Status changed from New to Accepted

#2 - 2012-09-21 15:44 - Robert Lemke
- Category set to Content Management

#3 - 2012-09-21 17:49 - Robert Lemke
- Status changed from Accepted to Under Review

#4 - 2012-09-21 17:58 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14807

#5 - 2012-09-21 19:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14808

#6 - 2012-09-21 21:15 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14808

#7 - 2012-09-21 21:19 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14808

#8 - 2012-09-21 21:30 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14808
#9 - 2012-09-21 22:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f60961d2f789857fb9098a104e7802078efacef7.

#10 - 2012-10-04 11:10 - Markus Goldbeck
- Status changed from Resolved to Closed
